%define	upstream_name	 HTML-Parser
%define upstream_version 3.83

%define Werror_cflags %nil

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl module to parse HTML documents
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::Tagset)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(IO::File)
BuildRequires: perl(SelectSaver)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(URI::URL)
BuildRequires: perl(XSLoader)
BuildRequires: perl(strict)
BuildRequires: perl-devel
Requires:   perl-HTML-Tagset >= 3.30.0
%description
HTML::Parser module for Perl to parse and extract information from
HTML documents.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
# compile with default options (prompt() checks for STDIN being a terminal).
# yes to not ask for automate rebuild
yes | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="%{optflags}"

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO eg
%{perl_vendorarch}/auto/HTML
%{perl_vendorarch}/HTML
%{_mandir}/*/*

%changelog
* Sun Jun 29 2025 umeabot <umeabot> 3.830.0-2.mga10
+ Revision: 2226494
- Mageia 10 Mass Rebuild

* Fri Aug 23 2024 tv <tv> 3.830.0-1.mga10
+ Revision: 2088793
- update to 3.83
+ neoclust <neoclust>
- Rebuild against new perl

* Tue Mar 26 2024 tv <tv> 3.820.0-1.mga10
+ Revision: 2052360
- update to 3.82

* Tue Mar 26 2024 wally <wally> 3.810.0-5.mga10
+ Revision: 2052339
- rebuild for arm32

* Wed Nov 29 2023 tv <tv> 3.810.0-4.mga10
+ Revision: 2011229
- Rebuild for armv7
- Rebuild for armv7

* Tue Nov 28 2023 tv <tv> 3.810.0-2.mga10
+ Revision: 2010927
- Rebuild for perl-5.38

* Fri Feb 03 2023 tv <tv> 3.810.0-1.mga9
+ Revision: 1937844
- update to 3.81

* Fri Nov 04 2022 tv <tv> 3.800.0-1.mga9
+ Revision: 1902538
- update to 3.80

* Sat Oct 15 2022 tv <tv> 3.790.0-1.mga9
+ Revision: 1896897
- update to 3.79

* Tue Jun 07 2022 umeabot <umeabot> 3.780.0-3.mga9
+ Revision: 1861916
- Rebuild for Perl 5.36

* Mon Jun 06 2022 umeabot <umeabot> 3.780.0-2.mga9
+ Revision: 1861516
- Rebuild for Perl 5.36

* Tue Mar 29 2022 tv <tv> 3.780.0-1.mga9
+ Revision: 1832185
- update to 3.78

* Thu Mar 17 2022 tv <tv> 3.770.0-1.mga9
+ Revision: 1796503
- update to 3.77

* Thu Mar 17 2022 umeabot <umeabot> 3.760.0-3.mga9
+ Revision: 1795415
- Mageia 9 Mass Rebuild

* Mon May 24 2021 tmb <tmb> 3.760.0-2.mga9
+ Revision: 1726253
- rebuild for rebuild for perl-5.34.0

* Sat Mar 06 2021 tv <tv> 3.760.0-1.mga9
+ Revision: 1700180
- update to 3.76

* Mon Aug 31 2020 tv <tv> 3.750.0-1.mga8
+ Revision: 1620258
- update to 3.75

* Wed Aug 26 2020 tv <tv> 3.730.0-1.mga8
+ Revision: 1619065
- update to 3.73

* Wed Jun 17 2020 umeabot <umeabot> 3.720.0-10.mga8
+ Revision: 1594808
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 3.720.0-9.mga8
+ Revision: 1528668
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Aug 26 2019 tmb <tmb> 3.720.0-8.mga8
+ Revision: 1432413
- rebuild for perl-5.30.0-4.mga8

* Fri Sep 21 2018 umeabot <umeabot> 3.720.0-7.mga7
+ Revision: 1293178
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 wally <wally> 3.720.0-6.mga7
+ Revision: 1247407
- rebuild for perl 5.28.0

* Mon Oct 02 2017 tv <tv> 3.720.0-5.mga7
+ Revision: 1164797
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 3.720.0-4.mga7
+ Revision: 1148623
- Rebuild for perl ABI changes

* Fri Jul 21 2017 tv <tv> 3.720.0-3.mga7
+ Revision: 1126349
- rebuild for perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 3.720.0-2.mga6
+ Revision: 1028240
- Rebuild for perl 5.22.2

* Mon Jan 25 2016 luigiwalser <luigiwalser> 3.720.0-1.mga6
+ Revision: 927243
- 3.72

* Fri Jun 26 2015 tv <tv> 3.710.0-7.mga6
+ Revision: 844895
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 3.710.0-6.mga6
+ Revision: 840426
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 3.710.0-5.mga5
+ Revision: 744776
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.710.0-4.mga5
+ Revision: 684951
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 3.710.0-3.mga5
+ Revision: 631226
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 3.710.0-2.mga4
+ Revision: 525958
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 3.710.0-1.mga4
+ Revision: 435004
- update to 3.71

* Wed May 29 2013 tv <tv> 3.690.0-4.mga4
+ Revision: 429887
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 3.690.0-3.mga3
+ Revision: 368039
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 24 2012 pterjan <pterjan> 3.690.0-2.mga3
+ Revision: 283401
- Clean rebuild

* Thu Nov 03 2011 jquelin <jquelin> 3.690.0-1.mga2
+ Revision: 162217
- update to 3.69

* Sat Jun 11 2011 sander85 <sander85> 3.680.0-3.mga2
+ Revision: 103910
- perl 5.14

* Tue Jan 18 2011 blino <blino> 3.680.0-2.mga1
+ Revision: 23268
- rebuild for new perl

* Thu Jan 13 2011 jquelin <jquelin> 3.680.0-1.mga1
+ Revision: 11882
- imported package perl-HTML-Parser


* Sat Sep 04 2010 Jérôme Quelin <jquelin@mandriva.org> 3.680.0-1mdv2011.0
+ Revision: 575741
- update to 3.68

* Mon Aug 23 2010 Jérôme Quelin <jquelin@mandriva.org> 3.670.0-1mdv2011.0
+ Revision: 572219
- update to 3.67

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 3.660.0-4mdv2011.0
+ Revision: 564519
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 3.660.0-3mdv2011.0
+ Revision: 555301
- rebuild

  + Jérôme Quelin <jquelin@mandriva.org>
    - rebuild for 5.12

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 3.660.0-1mdv2011.0
+ Revision: 552316
- update to 3.66

* Tue Apr 06 2010 Jérôme Quelin <jquelin@mandriva.org> 3.650.0-1mdv2010.1
+ Revision: 532148
- update to 3.65

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 3.640.0-3mdv2010.1
+ Revision: 461285
- update to 3.64

* Sun Aug 16 2009 Jérôme Quelin <jquelin@mandriva.org> 3.620.0-3mdv2010.0
+ Revision: 416994
- force rebuild
- update to 3.62

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 3.610.0-2mdv2010.0
+ Revision: 408231
- forgot to bump mkrel
- fix requires:

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 3.610.0-1mdv2010.0
+ Revision: 407755
- rebuild using %%perl_convert_version

* Sat Jul 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.61-3mdv2010.0
+ Revision: 396939
- rebuild for properly versioned dependencies

* Fri Jul 17 2009 Olivier Thauvin <nanardon@mandriva.org> 3.61-2mdv2010.0
+ Revision: 396936
- rebuild to fix dependencies

* Sun Jun 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.61-1mdv2010.0
+ Revision: 387756
- update to new version 3.61

* Mon Feb 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.60-1mdv2009.1
+ Revision: 341080
- new release
- temporarily disable format errors

* Tue Nov 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.59-1mdv2009.1
+ Revision: 306761
- update to new version 3.59

* Sat Nov 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.58-1mdv2009.1
+ Revision: 305714
- update to new version 3.58

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 3.56-3mdv2009.0
+ Revision: 223787
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 3.56-2mdv2008.1
+ Revision: 151255
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Mar 05 2007 Olivier Thauvin <nanardon@mandriva.org> 3.56-1mdv2007.0
+ Revision: 132943
- 3.56

* Tue Dec 12 2006 Olivier Thauvin <nanardon@mandriva.org> 3.55-1mdv2007.1
+ Revision: 95139
- 3.55

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild
    - Import perl-HTML-Parser

* Tue May 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.54-1mdv2007.0
- New release 3.54
- spec cleanup

* Wed Mar 22 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.51-1mdk
- 3.51

* Fri Feb 17 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.50-1mdk
- 3.50

* Fri Feb 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.49-1mdk
- 3.49

* Tue Dec 06 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.48-1mdk
- 3.48

* Wed Nov 30 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.47-1mdk
- 3.47

* Thu Oct 27 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.46-1mdk
- 3.46

* Fri Jan 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.45-1mdk
- 3.45

* Tue Jan 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.44-1mdk
- 3.44

* Tue Dec 07 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.43-1mdk
- 3.43

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.38-1mdk
- 3.38

* Tue Apr 20 2004 Stefan van der Eijk <stefan@eijk.nu> 3.36-1mdk
- 3.36

